

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>gwmat &mdash; GWMAT: Gravitational Wave Microlensing Analysis Tools 1.0.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="../_static/css/theme.css?v=7ab3649f" />

  
      <script src="../_static/jquery.js?v=5d32c60e"></script>
      <script src="../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="../_static/documentation_options.js?v=8d563738"></script>
      <script src="../_static/doctools.js?v=9a2dae69"></script>
      <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../index.html" class="icon icon-home">
            GWMAT: Gravitational Wave Microlensing Analysis Tools
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../gwmat.html">gwmat package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">GWMAT: Gravitational Wave Microlensing Analysis Tools</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="index.html">Module code</a></li>
      <li class="breadcrumb-item active">gwmat</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for gwmat</h1><div class="highlight"><pre>
<span></span><span class="c1"># gwmat/__init__.py</span>

<span class="n">__author__</span> <span class="o">=</span> <span class="p">[</span><span class="s2">&quot;Anuj Mishra &lt;anuj.mishra@ligo.org&gt;&quot;</span><span class="p">]</span>
<span class="n">__version__</span> <span class="o">=</span> <span class="s2">&quot;1.0.0&quot;</span>

<span class="c1"># Import the classes from the individual files</span>
<span class="kn">from</span> <span class="nn">.point_lens</span> <span class="kn">import</span> <span class="n">PointLens</span>
<span class="kn">from</span> <span class="nn">.cosmology</span> <span class="kn">import</span> <span class="n">Cosmology</span>
<span class="kn">from</span> <span class="nn">.domain</span> <span class="kn">import</span> <span class="n">CBCParameterDomain</span>
<span class="kn">from</span> <span class="nn">.conversion</span> <span class="kn">import</span> <span class="n">CBCParameterConversion</span>
<span class="kn">from</span> <span class="nn">.gw_utils</span> <span class="kn">import</span> <span class="n">GWUtils</span>
<span class="kn">from</span> <span class="nn">.general_utils</span> <span class="kn">import</span> <span class="n">GeneralUtils</span>
<span class="kn">from</span> <span class="nn">.injection</span> <span class="kn">import</span> <span class="n">CBCInjection</span>
<span class="kn">from</span> <span class="nn">.</span> <span class="kn">import</span> <span class="n">cythonized_point_lens</span>
<span class="kn">from</span> <span class="nn">.</span> <span class="kn">import</span> <span class="n">methods</span>
<span class="kn">from</span> <span class="nn">.</span> <span class="kn">import</span> <span class="n">bilby_custom_FD_source_models</span>

<span class="c1"># Initialize default instances of the classes</span>
<span class="n">point_lens</span> <span class="o">=</span> <span class="n">PointLens</span><span class="p">()</span>
<span class="n">cosmology</span> <span class="o">=</span> <span class="n">Cosmology</span><span class="p">()</span>  <span class="c1"># Default parameters</span>
<span class="n">domain</span> <span class="o">=</span> <span class="n">CBCParameterDomain</span><span class="p">()</span>
<span class="n">conversion</span> <span class="o">=</span> <span class="n">CBCParameterConversion</span><span class="p">()</span>
<span class="n">gw_utils</span> <span class="o">=</span> <span class="n">GWUtils</span><span class="p">()</span>
<span class="n">general_utils</span> <span class="o">=</span> <span class="n">GeneralUtils</span><span class="p">()</span>
<span class="n">injection</span> <span class="o">=</span> <span class="n">CBCInjection</span><span class="p">()</span>  <span class="c1"># Default parameters</span>


<span class="c1"># Function to configure parameters</span>
<div class="viewcode-block" id="configure_parameters">
<a class="viewcode-back" href="../gwmat.html#gwmat.configure_parameters">[docs]</a>
<span class="k">def</span> <span class="nf">configure_parameters</span><span class="p">(</span>
    <span class="n">omega_m</span><span class="o">=</span><span class="mf">0.315</span><span class="p">,</span> <span class="n">omega_lambda</span><span class="o">=</span><span class="mf">0.685</span><span class="p">,</span> <span class="n">omega_k</span><span class="o">=</span><span class="mf">0.0</span><span class="p">,</span> <span class="n">hubble_constant</span><span class="o">=</span><span class="mf">69.8e3</span>
<span class="p">):</span>
    <span class="k">global</span> <span class="n">cosmology</span>
    <span class="n">cosmology</span> <span class="o">=</span> <span class="n">Cosmology</span><span class="p">(</span>
        <span class="n">omega_m</span><span class="o">=</span><span class="n">omega_m</span><span class="p">,</span>
        <span class="n">omega_lambda</span><span class="o">=</span><span class="n">omega_lambda</span><span class="p">,</span>
        <span class="n">omega_k</span><span class="o">=</span><span class="n">omega_k</span><span class="p">,</span>
        <span class="n">hubble_constant</span><span class="o">=</span><span class="n">hubble_constant</span><span class="p">,</span>
    <span class="p">)</span></div>


<span class="c1"># NRInjection is excluded from default import due to specific installation requirements</span>
<span class="c1"># from .nr_injection import NRInjection</span>
<span class="c1"># nr_injection = NRInjection()</span>
</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Anuj Mishra.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>